package com.logicbig.example;

import org.springframework.stereotype.Component;

@Component
public class EmployeeInfoBean {

    public String getDisplayString(Employee employee) {
        return String.format("%s (%s)", employee.getName(), employee.getDepartment().getDeptName());
    }

    public String getDetailedString(Employee employee, String labelName, String labelDept) {
        return String.format("%s: %s, %s: %s, %s",
                labelName, employee.getName(),
                labelDept, employee.getDepartment().getDeptName(),
                employee.getDepartment().getLocation());
    }
}